apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    forklift.konveyor.io/source: yan1/vm-cirros
    kubemacpool.io/transaction-timestamp: "2025-10-14T04:55:55.664082021Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/restore-run-strategy: Always
    kubevirt.io/storage-observed-api-version: v1
    migration: c7a2b7ef-2c0e-4110-8353-a5cc1b91f0f9
    plan: 345b16c0-7ee4-47b4-91d2-f819991e0900
    vmID: 8911faa2-2ec8-45c6-8c58-73d392a5b048
  creationTimestamp: "2025-10-14T04:55:55Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 1
  labels:
    kubevirt.io/vm: vm-cirros
    migration: c7a2b7ef-2c0e-4110-8353-a5cc1b91f0f9
    plan: 345b16c0-7ee4-47b4-91d2-f819991e0900
    vmID: 8911faa2-2ec8-45c6-8c58-73d392a5b048
  name: vm-cirros
  namespace: yan2
  resourceVersion: "21692664"
  uid: dbd78c2b-e453-4b59-84ee-2ffb7f1da4bb
spec:
  runStrategy: WaitAsReceiver
  template:
    metadata:
      creationTimestamp: null
      labels:
        kubevirt.io/vm: vm-cirros
    spec:
      architecture: amd64
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: disk1
          - disk:
              bus: virtio
            name: cloudinitdisk
        firmware:
          serial: 9814e670-dd80-48f5-bcce-cf93a05fd583
          uuid: 87c881e5-503d-4d00-9bd8-1e311b4fe40d
        machine:
          type: pc-q35-rhel9.6.0
        memory:
          guest: 128Mi
        resources: {}
      terminationGracePeriodSeconds: 0
      volumes:
      - name: disk1
        persistentVolumeClaim:
          claimName: pvc1
      - cloudInitNoCloud:
          userData: |
            #!/bin/sh

            echo 'printed from cloud-init userdata'
        name: cloudinitdisk
status:
  conditions:
  - lastProbeTime: "2025-10-14T04:55:55Z"
    lastTransitionTime: "2025-10-14T04:55:55Z"
    message: virt-launcher pod has not yet been scheduled
    reason: PodNotExists
    status: "False"
    type: Ready
  created: true
  desiredGeneration: 1
  observedGeneration: 1
  printableStatus: WaitingForReceiver
  runStrategy: WaitAsReceiver
  volumeSnapshotStatuses:
  - enabled: true
    name: disk1
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
